Upstream information

CVE-2016-3119 at MITRE

Description

The process_db_args function in plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c in the LDAP KDB module in kadmind in MIT Kerberos 5 (aka krb5) through 1.13.4 and 1.14.x through 1.14.1 mishandles the DB argument, which allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via a crafted request to modify a principal.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.47
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 971942 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12
  • krb5-mini >= 1.12.1-28.1
  • krb5-mini-devel >= 1.12.1-28.1
Patchnames:
SUSE-SLE-BSK-12-2016-586
SUSE Linux Enterprise Build System Kit 12 SP1
  • krb5-mini >= 1.12.1-28.1
  • krb5-mini-devel >= 1.12.1-28.1
Patchnames:
SUSE-SLE-BSK-12-SP1-2016-586
SUSE Linux Enterprise Desktop 12
  • krb5 >= 1.12.1-28.1
  • krb5-32bit >= 1.12.1-28.1
  • krb5-client >= 1.12.1-28.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-586
SUSE Linux Enterprise Desktop 12 SP1
  • krb5 >= 1.12.1-28.1
  • krb5-32bit >= 1.12.1-28.1
  • krb5-client >= 1.12.1-28.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-586
SUSE Linux Enterprise Desktop 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA krb5
SUSE Linux Enterprise Server 11 SP4
  • krb5 >= 1.6.3-133.49.109.1
  • krb5-32bit >= 1.6.3-133.49.109.1
  • krb5-apps-clients >= 1.6.3-133.49.109.1
  • krb5-apps-servers >= 1.6.3-133.49.109.1
  • krb5-client >= 1.6.3-133.49.109.1
  • krb5-server >= 1.6.3-133.49.109.1
  • krb5-x86 >= 1.6.3-133.49.109.1
Patchnames:
slessp4-krb5-12512
SUSE Linux Enterprise Server 12
  • krb5 >= 1.12.1-28.1
  • krb5-32bit >= 1.12.1-28.1
  • krb5-client >= 1.12.1-28.1
  • krb5-doc >= 1.12.1-28.1
  • krb5-plugin-kdb-ldap >= 1.12.1-28.1
  • krb5-plugin-preauth-otp >= 1.12.1-28.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-28.1
  • krb5-server >= 1.12.1-28.1
Patchnames:
SUSE-SLE-SERVER-12-2016-586
SUSE Linux Enterprise Server 12 SP1
  • krb5 >= 1.12.1-28.1
  • krb5-32bit >= 1.12.1-28.1
  • krb5-client >= 1.12.1-28.1
  • krb5-doc >= 1.12.1-28.1
  • krb5-plugin-kdb-ldap >= 1.12.1-28.1
  • krb5-plugin-preauth-otp >= 1.12.1-28.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-28.1
  • krb5-server >= 1.12.1-28.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-586
SUSE Linux Enterprise Server 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA krb5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA krb5
SUSE Linux Enterprise Software Development Kit 11 SP4
  • krb5 >= 1.6.3-133.49.109.1
  • krb5-devel >= 1.6.3-133.49.109.1
  • krb5-devel-32bit >= 1.6.3-133.49.109.1
  • krb5-server >= 1.6.3-133.49.109.1
Patchnames:
sdksp4-krb5-12512
SUSE Linux Enterprise Software Development Kit 12
  • krb5 >= 1.12.1-28.1
  • krb5-devel >= 1.12.1-28.1
Patchnames:
SUSE-SLE-SDK-12-2016-586
SUSE Linux Enterprise Software Development Kit 12 SP1
  • krb5 >= 1.12.1-28.1
  • krb5-devel >= 1.12.1-28.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-586
SUSE Linux Enterprise Software Development Kit 12 SP2
  • krb5-devel >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA krb5-devel
openSUSE 13.2
  • krb5 >= 1.12.2-24.1
  • krb5-32bit >= 1.12.2-24.1
  • krb5-client >= 1.12.2-24.1
  • krb5-client-debuginfo >= 1.12.2-24.1
  • krb5-debuginfo >= 1.12.2-24.1
  • krb5-debuginfo-32bit >= 1.12.2-24.1
  • krb5-debugsource >= 1.12.2-24.1
  • krb5-devel >= 1.12.2-24.1
  • krb5-devel-32bit >= 1.12.2-24.1
  • krb5-doc >= 1.12.2-24.1
  • krb5-mini >= 1.12.2-24.1
  • krb5-mini-debuginfo >= 1.12.2-24.1
  • krb5-mini-debugsource >= 1.12.2-24.1
  • krb5-mini-devel >= 1.12.2-24.1
  • krb5-plugin-kdb-ldap >= 1.12.2-24.1
  • krb5-plugin-kdb-ldap-debuginfo >= 1.12.2-24.1
  • krb5-plugin-preauth-otp >= 1.12.2-24.1
  • krb5-plugin-preauth-otp-debuginfo >= 1.12.2-24.1
  • krb5-plugin-preauth-pkinit >= 1.12.2-24.1
  • krb5-plugin-preauth-pkinit-debuginfo >= 1.12.2-24.1
  • krb5-server >= 1.12.2-24.1
  • krb5-server-debuginfo >= 1.12.2-24.1
Patchnames:
openSUSE-2016-424
openSUSE Leap 42.1
  • krb5 >= 1.12.1-30.1
  • krb5-32bit >= 1.12.1-30.1
  • krb5-client >= 1.12.1-30.1
  • krb5-client-debuginfo >= 1.12.1-30.1
  • krb5-debuginfo >= 1.12.1-30.1
  • krb5-debuginfo-32bit >= 1.12.1-30.1
  • krb5-debugsource >= 1.12.1-30.1
  • krb5-devel >= 1.12.1-30.1
  • krb5-devel-32bit >= 1.12.1-30.1
  • krb5-doc >= 1.12.1-30.1
  • krb5-mini >= 1.12.1-30.1
  • krb5-mini-debuginfo >= 1.12.1-30.1
  • krb5-mini-debugsource >= 1.12.1-30.1
  • krb5-mini-devel >= 1.12.1-30.1
  • krb5-plugin-kdb-ldap >= 1.12.1-30.1
  • krb5-plugin-kdb-ldap-debuginfo >= 1.12.1-30.1
  • krb5-plugin-preauth-otp >= 1.12.1-30.1
  • krb5-plugin-preauth-otp-debuginfo >= 1.12.1-30.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-30.1
  • krb5-plugin-preauth-pkinit-debuginfo >= 1.12.1-30.1
  • krb5-server >= 1.12.1-30.1
  • krb5-server-debuginfo >= 1.12.1-30.1
Patchnames:
openSUSE-2016-474
openSUSE Leap 42.2
  • krb5 >= 1.12.5-5.13
  • krb5-32bit >= 1.12.5-5.13
  • krb5-client >= 1.12.5-5.13
  • krb5-devel >= 1.12.5-5.13
Patchnames:
openSUSE Leap 42.2 GA krb5
openSUSE Tumbleweed
  • krb5 >= 1.15-1.1
  • krb5-32bit >= 1.15-1.1
  • krb5-client >= 1.15-1.1
  • krb5-devel >= 1.15-1.1
  • krb5-devel-32bit >= 1.15-1.1
  • krb5-doc >= 1.15-1.1
  • krb5-mini >= 1.15-1.1
  • krb5-mini-devel >= 1.15-1.1
  • krb5-plugin-kdb-ldap >= 1.15-1.1
  • krb5-plugin-preauth-otp >= 1.15-1.1
  • krb5-plugin-preauth-pkinit >= 1.15-1.1
  • krb5-server >= 1.15-1.1
Patchnames:
openSUSE Tumbleweed GA krb5